

    <?php 

    

   
 		if(isset($_POST['idpar']) &&  !empty($_POST['idpar'])){

  
              $idparcela = $_POST['idpar'];
             
              $dados =  verificaRemessaParcela($idparcela);

              echo json_encode($dados);

  
          }
  


   function verificaRemessaParcela($idparcela){
              include "conexao.php";
            
              $query = mysqli_query($db, "SELECT valor_parcelas, obs_parcela, juros_mora, juros_multa, juros_outros FROM parcelas where idparcelas = '$idparcela'");
              $busca = mysqli_fetch_assoc($query);

              $remessa['obs_parcela'] =  html_entity_decode($busca['obs_parcela']);
              $remessa['valor_parcelas'] = $busca['valor_parcelas'];
              $remessa['juros_mora'] = $busca['juros_mora'];
              $remessa['juros_multa'] = $busca['juros_multa'];
              $remessa['juros_outros'] = $busca['juros_outros'];

            


              $valor_corrigido = number_format($remessa['juros_multa'] + $remessa['juros_outros'] + $remessa['juros_mora'] + $remessa['valor_parcelas'],2 ,',','.');

                $remessa['valor_corrigido'] = $valor_corrigido;

              $remessa['valor_parcelas'] =  number_format($busca['valor_parcelas'], 2 ,',','.');

              if($remessa['juros_mora'] == null){
                 $remessa['juros_mora'] = 0;
              }else{

                  $remessa['juros_mora'] =  number_format($busca['juros_mora'], 2 ,',','.');
              }

              if($remessa['juros_multa'] == null ){
                 $remessa['juros_multa'] = 0;
              }else{

                  $remessa['juros_multa'] =  number_format($busca['juros_multa'], 2 ,',','.');
              }

              if($remessa['juros_outros'] == '0.00' || $remessa['juros_outros'] == null ){
                 $remessa['juros_outros'] = 0;
              }else{

                  $remessa['juros_outros'] =  number_format($busca['juros_outros'], 2 ,',','.');
              }




            

              //$remessa = "DEU CERTO";

              return $remessa;

        }


  ?>







